Qt 5.6 | Qt Core | C++ Classes | QTemporaryFile

Qt 5.6.2 Reference Documentation

# Obsolete Members for QTemporaryFile

The following members of class QTemporaryFile are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Static Public Members

`(obsolete)` QTemporaryFile * | createLocalFile(const QString &fileName)
`(obsolete)` QTemporaryFile * | createLocalFile(QFile &file)

- 3 static public members inherited from QFile
- 1 static public member inherited from QObject

## Member Function Documentation

### `[static]` QTemporaryFile *QTemporaryFile::createLocalFile(const QString &fileName)

This is an overloaded function.

Use QTemporaryFile::createNativeFile(const QString &fileName) instead.

### `[static]` QTemporaryFile *QTemporaryFile::createLocalFile(QFile &file)

Use QTemporaryFile::createNativeFile(QFile &file) instead.